Subject: bug#41250: 28.0.50; Dired displays unconditionally ls-switches on modeline

From: Arthur Miller <[email-masked]>
Date: Sun, 17 May 2020 05:09:56 +0200

Drew Adams <[email-masked]> writes:

>> I am actually now wondering, why is it assumed that
>> Dired will show sorting order on modeline by default?
>
> Because it's useful.  And it is very common to use
> `s', to toggle between name and date sorting.  Those
> are the common sorts, and switches that match their
> regexps are the most common.
>
> Those predefined regexps could presumably be tweaked
> to accommodate more patterns that have time in them,
> but IMHO it's not worth it.
>
> This mode-line indication is not, primarily, about
> showing you the current `ls' switches.  It's about
> telling you whether files are sorted by name or time.
>
> The relevant function is called `dired-sort-set-mode-line'.
>                                        ^^^^
Yeah, I completely understand, but as I wrote to Eli too, to me, dired
buffer itself is an immidate visual feedback. I don't need addtional
information on modeline to tell me if files are sorted alfabetically or
by some other mean. So I prefer to save mode-line space for something
else. It is just my personal preference, I have understanding that other
people might have different taste.